Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgDrawingService Class Reference
[MgDrawingService]

Allows low level access to DWF™ (Design Web Format™) data stored in a resource repository as part of a drawing source. More...

Inherits MgService.

List of all members.

## Public Member Functions
virtual MgByteReader * | DescribeDrawing (MgResourceIdentifier *resource)=0
| Gets the `manifest.xml` document which describes the supported document interfaces, the document properties, the sections and their contents, and section dependencies.
virtual MgStringCollection * | EnumerateLayers (MgResourceIdentifier *resource, CREFSTRING sectionName)=0
| Gets the names of the layers in a DWF section.
virtual MgByteReader * | EnumerateSectionResources (MgResourceIdentifier *resource, CREFSTRING sectionName)=0
| Enumerates the resources of a DWF section (sometimes called a sheet).
virtual MgByteReader * | EnumerateSections (MgResourceIdentifier *resource)=0
| Enumerates only the ePlot sections (sheets) in a DWF.
virtual STRING | GetCoordinateSpace (MgResourceIdentifier *resource)=0
| Gets the coordinate system assigned to the DWF drawing.
virtual MgByteReader * | GetDrawing (MgResourceIdentifier *resource)=0
| Returns the DWF stream for a drawing specified by resource identifier.
virtual MgByteReader * | GetLayer (MgResourceIdentifier *resource, CREFSTRING sectionName, CREFSTRING layerName)=0
| Gets a layer from a particular section of a DWF.
virtual MgByteReader * | GetSection (MgResourceIdentifier *resource, CREFSTRING sectionName)=0
| Gets a DWF containing only the requested section (sometimes called a sheet).
virtual MgByteReader * | GetSectionResource (MgResourceIdentifier *resource, CREFSTRING resourceName)=0
| Gets a specific resource from the DWF.

## Detailed Description

Allows low level access to DWF™ (Design Web Format™) data stored in a resource repository as part of a drawing source.

Remarks:
  The Drawing Service contains one class: MgDrawingService.
  DWF files contain:
  1. An XML file, manifest.xml, listing information about the DWF.
  2. One or more resources. These are typically design data in various formats (such as W2D, JPG, PNG, AVI, and XML).
  Typically the contents are organized into sections, each of which represents a logical component being published, such as a mechanical part or a page of a multi-page diagram. Each section may have a descriptor.xml file containing section-specific metadata, and each section may contain drawing layers. Sections are sometimes also referred to as sheets.
  The Drawing Service allows you to enumerate parts of the DWF, such as layers, sections, and resources, and to get the binary data from drawings, layers, and a resources. It also provides access to the coordinate space assigned to the DWF in the DrawingSource resource.

Comments or suggestions? Send us feedback.